Summary:	A simple set of tools to help you author a DVD
Name:		dvdauthor
Version:	0.7.1
Release:	%mkrel 2
License:	GPLv2
Group:		Video/Editors and Converters
Url:		http://dvdauthor.sourceforge.net/
Source0:	http://downloads.sourceforge.net/project/dvdauthor/dvdauthor/%{version}/%{name}-%{version}.tar.gz
Source1:	http://www.joonet.de/dvdauthor/ftp/%{name}-doc-0.6.17.tar.gz
Patch0:		dvdauthor-imagemagick-0.7.0.patch
Patch1:		dvdauthor-0.7.1-automake-1.13.patch
BuildRequires:	libxml2-devel >= 2.6.0
BuildRequires:	freetype2-devel
BuildRequires:	fribidi-devel
BuildRequires:	bison flex
BuildRequires:	png-devel
BuildRequires:	zlib-devel
BuildRequires:	imagemagick-devel
BuildRequires:	libdvdread-devel
BuildRequires:	autoconf automake gettext-devel

%description
A simple set of tools to help you author a DVD. The idea is to be able to
create menus, buttons, chapters, etc. But for now you can just take an mpeg
stream (as created by mplex -f 8 from mjpegtools 1.6.0) and write it to DVD.

N.B. The system-wide default video format is NTSC, to change it modify 
/etc/video_format; for per user specific settings creat ~/.config/video_format
and put the video format you want (NTSC or PAL) there.

%prep
%setup -q -n %{name} -a 1
%patch0 -p0
%patch1 -p1

autoreconf -fi

mv %{name}-doc-0.6.17/html .

%build
%configure2_5x --disable-rpath
%make

%install
%makeinstall_std

# (ahmad) Starting from 0.7, dvdauthor doesn't specify a default video format
# previoulsy it defaulted to NTSC
mkdir -p %{buildroot}%{_sysconfdir}
cat > %{buildroot}%{_sysconfdir}/video_format << EOF
NTSC
EOF

%files
%doc AUTHORS README ChangeLog COPYING INSTALL TODO html
%{_sysconfdir}/video_format
%{_bindir}/dvdauthor
%{_bindir}/dvddirdel
%{_bindir}/dvdunauthor
%{_bindir}/mpeg2desc
%{_bindir}/spumux
%{_bindir}/spuunmux
%{_mandir}/man1/*
%{_datadir}/%{name}


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.7.1-2.mga3
+ Revision: 349193
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 fwang <fwang> 0.7.1-1.mga3
+ Revision: 338471
- fix build with automake 1.13

  + vaci0 <vaci0>
    - Update to version 0.7.1

* Fri Dec 14 2012 fwang <fwang> 0.7.0-3.mga3
+ Revision: 330752
- rebuild for new imagemagick

* Fri Oct 12 2012 fwang <fwang> 0.7.0-2.mga3
+ Revision: 305076
- update rpm group

* Wed Sep 14 2011 fwang <fwang> 0.7.0-2.mga2
+ Revision: 143434
- fix build with latest png

* Tue Jan 25 2011 ahmad <ahmad> 0.7.0-2.mga1
+ Revision: 39506
- imported package dvdauthor

